TAAS - Feature #102

Account Note
11/25/2022 10:48 AM - Anil

KV

Status: Reopen Bugs Testing Done Start date: 12/05/2022
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Account Note

Description

Coding Account Note

History

#1 - 11/26/2022 07:40 PM -
- File 1-CsModel.cs added
- File 2-tsModel.ts added

- File 3-CsFile.cs added

Junaid M

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added
- File 6-HtmiFile.html added
- File sql.sql added

- Status changed from New

to Open

- % Done changed from 0 to 10

Ul Changes =>

1) Add check box inside OK search box , set tooltip as "With blocked notes". Se Default checkbox state as ticked.

2) Add Checkbox Label Status, Next to Show in invoice widget.

3) In List blocked item shoul

#2 - 11/26/2022 07:40 PM -

d be greyed.

Junaid M

- Assignee changed from Junaid M to Anand V Gopal

#3 - 12/05/2022 03:53 PM -

Anand V Gopal

- Status changed from Open to Coding Started

- % Done changed from 10 to 40

#4 - 12/06/2022 04:16 PM -

Anand V Gopal

- Start date changed from 11/25/2022 to 12/05/2022

#5 - 12/14/2022 09:46 AM -

Anand V Gopal

- Status changed from Coding Started to Coding Done

- % Done changed from 40 to 60

#6 - 12/14/2022 03:02 PM -

Amal Cyriac

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX ERROR ON ACCOUNT CHECKBOX

(IF ACCOUNT CHECKBOX IS UNTICKED, SHOWING ERROR ALERT WHEN TAP OK BUTTON

#7 - 05/08/2023 06:08 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#8 - 05/10/2023 06:58 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set proper validations on Inactive check box

(Grid data must be sorted based on 'Inactive' check box)

2.Prevent duplication on account note

3.Prevent Save/Update on Account Note by more than one user

at atime

4 Fix bugs on modified by label - ( User & Time must display on GUI)
5.Fix bugs on created by label - ( User & Time must display on grid)

#9 - 05/16/2023 06:11 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 05/17/2023 05:10 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set proper validations on Users multi selection box
(Prevent save if selection box is unchecked & empty)
2.Use 12 hour time format on grid

(AM/PM)

3.Add "new" button on grid

4.Add "new note" label on div. expand

5.Prevent Div expand collapse while tap 'OK'

6.Set alignment on labels

(Created by/Modified by)

#11 - 05/27/2023 06:17 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 05/29/2023 06:35 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix error on 'New Button'
(Selected a/c clearing )

#13 - 05/30/2023 06:08 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 06/20/2023 06:05 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set alignment on Label & Check box
(Inactive )

2.Set proper validations on inline checkbox
(User)

#15 - 07/04/2023 06:19 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 08/16/2023 01:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED
1.USER UNTICK CASE ADD RED STAR
#17 - 09/15/2023 01:02 PM - unnikannan S
unnikannan S wrote in #note-16:
ISSUE FOUNDED

1.USER UNTICK CASE ADD RED STAR
2.NOT SHOWING ACCOUNTS

#18 - 09/15/2023 05:16 PM - unnikannan S

unnikannan S wrote in #note-17:
unnikannan S wrote in #note-16:
ISSUE FOUNDED

1.USER UNTICK CASE ADD RED STAR

#19 - 09/30/2023 11:14 AM - Junaid M
- Assignee changed from Anand V Gopal to Vivekp V

#20 - 09/30/2023 05:34 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 09/30/2023 05:35 PM - Vivekp V
reopen issue USER UNTICK CASE ADD RED STAR finished

#22 - 10/12/2023 01:13 PM - unnikannan S
TESTING DONE

#23 - 10/25/2023 04:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADJUST GAPS BETWEEN Ul IN PRINT

#24 - 10/25/2023 04:20 PM - unnikannan S
unnikannan S wrote in #note-23:
ISSUE FOUNDED

1.ADJUST GAPS BETWEEN UI IN PRINT
2.ADD CURRENT DATE US DEFAULT DATE

#25 - 10/25/2023 04:21 PM - unnikannan S

unnikannan S wrote in #note-24:
unnikannan S wrote in #note-23:
ISSUE FOUNDED

1.ADJUST GAPS BETWEEN Ul IN PRINT

#26 - 10/25/2023 04:22 PM - unnikannan S

unnikannan S wrote in #note-25:
unnikannan S wrote in #note-24:
unnikannan S wrote in #note-23:
ISSUE FOUNDED

1.ADJUST GAPS BETWEEN Ul IN PRINT
2.DONT CLEAR CURRENT DATE WHILE SWITCHING NEW

#27 - 10/26/2023 01:13 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.ADJUST GAPS BETWEEN Ul IN PRINT
2.DONT CLEAR CURRENT DATE WHILE SWITCHING NEW

#28 - 03/05/2024 10:53 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW ALL INACTIVE NOTES AS RED
2.SHOW RED STAR IN USER FIELD WHILE CLEARING ADDED USERS
3.SHOW PRINT DEFAULT

#29 - 03/05/2024 03:57 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.SHOW ALL INACTIVE NOTES AS RED

2.SHOW RED STAR IN USER FIELD WHILE CLEARING ADDED USERS
3.SHOW PRINT DEFAULT
#30 - 09/11/2024 02:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done
- % Done changed from 70 to 90

#31 - 09/26/2024 03:54 PM - Junaid M

- Assignee changed from Vivekp V to Sreeranjini T

#32 - 09/26/2024 03:54 PM - Junaid M
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

#33 - 09/30/2024 10:59 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#34 - 10/14/2024 03:23 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Each update get saved as a new note before reloading the page.
2. Order of the saved note appearing is incorrect.

#35 - 10/17/2024 10:18 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 11/15/2024 12:22 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#37 - 11/15/2024 03:53 PM - Junaid M
NEW CHANGES

Add Status Selectbox values -> (Above Legal Action Start)
Next Level Process Start

Next Level Processing

Next Level Process Completed

Issue Found

1)Remove active and inactive status from date field

#38 - 11/15/2024 03:55 PM - Junaid M
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

#39 - 11/19/2024 02:58 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#40 - 11/22/2024 11:20 AM - Arathy PS
ACCOUNT NOTE ICON

Add this icon everywhere where account note is used

<i class="fa fa-comment-0" aria-hidden="true"></i>
#41 - 12/04/2024 04:23 PM - Theja Ponon
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

#42 - 12/11/2024 06:20 PM - unnikannan S
- Status changed from New Changes Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

1.Show Note Required Validation Message Inside The Pop Up Box

//display the message inside the all pop up boxes in all other connected modules
#43 - 12/12/2024 10:38 AM - Sreeranjini T

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 12/12/2024 11:44 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.08 KB 11/26/2022 Junaid M
1-CsModel.cs 1.58 KB 11/26/2022 Junaid M
3-CsFile.cs 8.87 KB 11/26/2022 Junaid M
4-CsControllerFile.cs 23.9 KB 11/26/2022 Junaid M
6-HtmlFile.html 1.9 KB 11/26/2022 Junaid M
5-TsFile.ts 13.7 KB 11/26/2022 Junaid M
sql.sql 10 KB 11/26/2022 Junaid M
